/***********************
* Adobe Edge Animate Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "${_down}", "mousedown", function(sym, e) {
         function scrollContDn(){
             sym.$("content").stop().animate({scrollTop:'+=20'}, 300, 'linear', scrollContDn);
         }
         
         scrollContDn();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_up}", "mousedown", function(sym, e) {
         function scrollContUp(){
             sym.$("content").stop().animate({scrollTop:'-=20'}, 300, 'linear', scrollContUp);
         }
         
         scrollContUp();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_down}", "mouseup", function(sym, e) {
         
             sym.$("content").stop();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_up}", "mouseup", function(sym, e) {
         
             sym.$("content").stop();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         var title=$("title").text();
         $("body").prepend("<div class='future'><h1>" + title + "</h1></div>");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'myverticalScroll'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_Right-Button}", "click", function(sym, e) {
         sym.$("content").animate({ scrollLeft: "+=35" }, 500);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_Left-Button}", "click", function(sym, e) {
         sym.$("content").animate({ scrollLeft: "-=35" }, 500);

      });
      //Edge binding end

   })("myHorizontalScroll");
   //Edge symbol end:'myHorizontalScroll'

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'myScroll'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_Up-Button}", "click", function(sym, e) {
         sym.$("content").animate({ scrollTop: "-=45" }, 500);
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_Down-Button}", "click", function(sym, e) {
         
         //sym.$("content").animate({ scrollTop: "+=45" }, 500);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_Down-Button}", "mousedown", function(sym, e) {
         sym.$("content").animate({
                 scrollTop: sym.$("content").height()
             });

      });
      //Edge binding end

   })("myVerticalScroll");
   //Edge symbol end:'myVerticalScroll'

})(jQuery, AdobeEdge, "EDGE-14109223");